> For the complete documentation index, see [llms.txt](https://docs.gameket.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gameket.io/operations/products.md).

# Products

Manage your product catalog through the Products API. Create, update, delete, and manage stock for your products.

### List Products

Retrieve all products for your store.

**Endpoint:**

```bash
GET /merchant/products
```

**Query Parameters:**

```json
- productId: specific product ID (optional)
- type: product category (optional)
- isApi: true | false (optional)
- isActive: true | false (optional)
- search: free text search (optional)
- page: page number (default: 1)
- limit: results per page (default: 20, max: 100)
```

**Request:**

```bash
curl -X GET "https://api.gameket.io/merchant/products?type=game-vouchers&isActive=true&page=1&limit=20" \
  -H "Authorization: Bearer {token}" \
  -H "x-merchant-api-key: {apiKey}"
```

**Response (200 OK):**

```json
{
  "success": true,
  "data": [
    {
      "productId": "prod_abc123",
      "name": "FIFA 2026 Coins",
      "description": "In-game currency for FIFA 2026",
      "type": "game-vouchers",
      "category": "Sports",
      "price": 50,
      "currency": "USD",
      "status": "active",
      "stock": {
        "available": 500,
        "reserved": 50,
        "sold": 2500,
        "method": "auto"
      },
      "isApi": true,
      "createdAt": "2026-01-15T10:00:00Z",
      "updatedAt": "2026-05-10T15:30:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 150
  }
}
```
